# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: checkmandfield.tcl,v 1.4 1998/10/13 20:26:24 dglo Exp $

#	checkmandfield
#
#	TCL routine to check to see if a mandatory field
#	has been set.  If it is blank, an window will
#	be opened notifying the user.
#
#	checkmandfield var name

proc checkmandfield { var name } {

#-------
# check to see if var is set
#-------

if {$var != " " && $var != ""} {
	return 0
}

#-------
# window building stuff
#-------

catch {destroy .box}
toplevel .box

placepopup .box

setoptions

#-------
# write info to window
#-------

wm title .box "Mandatory Field Error"
message .box.message	-width 350			\
			-relief sunken			\
			-foreground firebrick		\
			-text [format "

The %s entry field requires a value.

" $name ]

#-------
# dismiss button
#-------

frame .box.buttons

button .box.buttons.dismiss -text "Dismiss" -relief raised -command "destroy .box"

#-------
# pack window
#-------

pack append .box.buttons						\
	.box.buttons.dismiss	{left expand}

pack append .box							\
	.box.message		{top fill}				\
	.box.buttons		{top fill pady 20}

update

tkwait window .box

return 1

}
