# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: grdmore.tcl,v 1.10 1998/10/13 20:26:34 dglo Exp $

proc grdmore {} {
#

frame .frame.hi
#
# color level for contours
#

global	red
global	green
global	blue
global	widgetname
global	widgetname2
global hi

set clev 2


set widgetname ".frame.hi.contcol.swatch"
set widgetname2 ""

frame .frame.hi.contcol
entry .frame.hi.contcol.entry -textvariable clev -width 8 -relief groove \
	-state disabled
button .frame.hi.contcol.button -text "Contour Color" -relief raised \
	-command "listcol 2" -width 20

mc2rgb "$clev"

set contcolor [format "#%02x%02x%02x" $red $green $blue]
frame .frame.hi.contcol.swatch -width 20  -height 20 -bg $contcolor

pack	.frame.hi.contcol.button -side left -padx 10
pack	.frame.hi.contcol.entry	-side right -padx 10
pack	.frame.hi.contcol.swatch -side right
pack .frame.hi.contcol -side top -pady 2 -fill both

#
#	Dash menu to choose dashing for contours
#
set dash NONE
frame .frame.hi.dash
entry .frame.hi.dash.entry -textvariable dash -width 8 -relief groove \
	-state disabled
menubutton .frame.hi.dash.menu -text "Dash Option" -relief raised \
	-menu .frame.hi.dash.menu.choice -width 22
menu .frame.hi.dash.menu.choice -tearoff 0
.frame.hi.dash.menu.choice add radio -label "No Dashing (NONE)" \
	-variable dash  -value  NONE
.frame.hi.dash.menu.choice add radio -label "Negative Only (NEG)" \
	-variable dash -value NEG
.frame.hi.dash.menu.choice add radio -label "Positive Only (POS)" \
	-variable dash -value POS
.frame.hi.dash.menu.choice add radio -label "All Contours (ALL)" \
	-variable dash -value  ALL

pack	.frame.hi.dash.menu -side left -padx 10
pack	.frame.hi.dash.entry -side right -padx 10
pack .frame.hi.dash -side top -fill both  -pady 2

#
#	Contour Label interval
#
set lint 1
frame .frame.hi.contint
label .frame.hi.contint.label -text "Contour Label Interval" -width 22
entry .frame.hi.contint.entry -textvariable lint -width 8 -relief sunken


pack	.frame.hi.contint.label -side left -padx 10
pack	.frame.hi.contint.entry	-side right -padx 10
pack .frame.hi.contint -side top -fill both -pady 2

#
#	Contour Label height
#

set lsize 7
frame .frame.hi.lsize
label .frame.hi.lsize.label -text "Contour Label Height" -width 22
entry .frame.hi.lsize.entry -textvariable lsize -width 8 -relief sunken


pack	.frame.hi.lsize.label -side left -padx 10
pack	.frame.hi.lsize.entry -side right  -padx 10
pack .frame.hi.lsize -side top -fill both -pady 2

#
#	Panel number
#
set panel 0
frame .frame.hi.panel
menubutton .frame.hi.panel.menu -text "Screen Panel"  -relief raised \
	-menu .frame.hi.panel.menu.choices -width 22
entry .frame.hi.panel.entry -width 8 -relief groove -textvariable panel \
	-state disabled
menu .frame.hi.panel.menu.choices -tearoff 0
.frame.hi.panel.menu.choices add radio -label "Full Screen (0)" \
	-value 0 -variable panel
.frame.hi.panel.menu.choices add radio -label "Upper Left (1)" \
	-value 1 -variable panel
.frame.hi.panel.menu.choices add radio -label "Upper Right (2)" \
	-value 2 -variable panel
.frame.hi.panel.menu.choices add radio -label "Lower Left (3)" \
	-value 3 -variable panel
.frame.hi.panel.menu.choices add radio -label "Lower Right (4)" \
	-value 4 -variable panel
pack	.frame.hi.panel.menu -side left -padx 10
pack	.frame.hi.panel.entry -side right -padx 10
pack .frame.hi.panel -side top -fill both -pady 2

#
#	color level for map
#
set mlev 1

set widgetname2 ".frame.hi.colmap.swatch"

frame .frame.hi.colmap
button .frame.hi.colmap.button -text "Map Color" -relief raised \
	-command "listcol 1" -width 20
entry .frame.hi.colmap.entry -textvariable mlev -width 8 -relief groove \
	-state disabled

mc2rgb "$mlev"

set mapcolor [format "#%02x%02x%02x" $red $green $blue]
frame .frame.hi.colmap.swatch -width 20 -height 20 -bg $mapcolor

pack	.frame.hi.colmap.button	-side left -padx 10
pack	.frame.hi.colmap.entry	-side right -padx 10
pack	.frame.hi.colmap.swatch	-side right
pack .frame.hi.colmap -side top -fill both -pady 2

#
#	elements for TV bounds
#


#
#	Projection
#

set project " "
frame .frame.hi.project
menubutton  .frame.hi.project.menu -text "Projection" -relief raised  \
	-menu .frame.hi.project.menu.choices -width 22
menu .frame.hi.project.menu.choices -tearoff 0
.frame.hi.project.menu.choices add radio -label "Default ( )" \
	-variable project -value " "
.frame.hi.project.menu.choices add radio -label "Conformal (CONF)" \
	-variable project -value CONF
.frame.hi.project.menu.choices add radio -label "Mercator (MERC)"  \
	-variable project -value MERC
entry .frame.hi.project.entry -textvariable project -width 8 -relief groove \
	-state disabled
pack	.frame.hi.project.menu	-side left -padx 10
pack	.frame.hi.project.entry	-side right -padx 10
pack .frame.hi.project -side top -fill both -pady 2


#
#	Standard Latitude
#

set slat " "
frame .frame.hi.slat
label .frame.hi.slat.label -text "Standard Latitude " -width 22
entry .frame.hi.slat.entry -textvariable slat -width 8 -relief sunken


pack	.frame.hi.slat.label	-side left -padx 10
pack	.frame.hi.slat.entry	-side right -padx 10
pack .frame.hi.slat -side top -fill both -pady 2
#
#	Standard Longitude
#

set slon " "
frame .frame.hi.slon
label .frame.hi.slon.label -text "Standard Longitude" -width 22
entry .frame.hi.slon.entry -textvariable slon -width 8 -relief sunken


pack	.frame.hi.slon.label -side left -padx 10
pack	.frame.hi.slon.entry -side right -padx 10
pack .frame.hi.slon -side top -fill both -pady 2



}

proc mkHelp {} {
	global level messfont

	catch {destroy .help}

	toplevel .help
	wm title .help "Help - Show Grid"
	wm minsize .help 10 10

	text .help.title -height 3 -width 10 -font $messfont
	.help.title insert 0.0 "\nShow Grid"

	text .help.low -relief raised -height 17
	.help.low insert 0.0 {
Grid File		file containing grid

Grid Info:		grid number, data type and level to contour; if grid
			contains u component, and V-Grid Component is set or
			v component follows u component, streamlines are drawn.
			this will be filled in when selecting a Grid File.

Map Boundaries		geographical boundaries to contour

Latitude Min Max	minimum and maximum latitude boundaries; active when
			Map Boundaries is set to DEFINE

Longitude Min Max	minimum and maximum longitude boundaries; active when
			Map Boundaries is set to DEFINE

Contour Interval	integer value 1-10 or multiple of 10; use arrow
			buttons to increment or decrement}


	text .help.hi -relief raised -height 17
	.help.hi insert 0.0 {
Contour Color		graphics color level for contours; positive numbers
			produce solid lines; negative numbers produce dashed
			lines and no map

Dash Option		contours to dash

Contour Label Interval	contours to label

Contour Label Height	height of contour labels in pixels

Screen Panel		graphics panel number for displaying contours

Contour Units		units for contours; depends on contoured parameters}
	text .help.hi -relief raised -height 14
	.help.hi insert 0.0 {
Map Color		graphics color level for map

Projection		projection for plot


Standard Latitude       one value for polar stereographic; two values for
			Lambert conformal

Standard Longitude	normal longitude for polar stereographic and Lambert
			conformal
}

	button .help.ok -text "      OK      " -relief raise -borderwidth 2 \
		-command {destroy .help}
	if {$level == "1"} {
		pack append .help \
			.help.title {top} \
			.help.low {top} \
			.help.ok  {bottom }
	}
	if {$level == "2"} {
		pack append .help \
			.help.title {top} \
			.help.low {top} \
			.help.ok  {bottom }
	}
	if {$level == "3"} {
		pack append .help \
			.help.title {top} \
			.help.low {top} \
			.help.hi  {top} \
			.help.ok  {bottom}
	}
}
