#!/bin/false

# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: initmblite.tcl,v 1.26 2001/12/06 20:53:51 tsmith Exp $

proc initMBFile {file} {
  menubutton $file -text File -menu $file.menu

  menu $file.menu -tearoff 0
#ml  $file.menu add command -label Logon \
#ml	-command { GUILogon "" }

  $file.menu add command -label Open \
	-command { FileSelector "$env(MCLITE_INSTALL)/data" }

  $file.menu add command -label "Save Image As..." \
	-command {execGUI frmsavelite} ;
#ml  $file.menu add command -label "Frame Selector" \
#ml	-command {execGUI frmchecklite}

#ml  $file.menu add command -label "ADDE Servers" \
#ml	-command {ServerList}

  $file.menu add separator

#ml  $file.menu add command -label "Open Briefing Window" \
#ml	-command {execGUI brief}

#ml  $file.menu add separator

#ml  The 'exit' GUI item was left in for development use
#  $file.menu add command -label "Exit GUI" \
#	-command {exitGUI "the GUI" {SaveContext; SaveServerLists; killkids; mcidas altkey R; destroy .}}
  $file.menu add command -label "Exit McIDAS-Lite" \
	-command {exitGUI "McIDAS" {SaveContext; SaveServerLists; mcidas poke 194 1}}
}

proc initMBDisplay {display} {
  menubutton $display -text Tools -menu $display.menu

  menu $display.menu -tearoff 0

  $display.menu add command -label "Analyze Image" \
	-command {execGUI imgprobelite}

  $display.menu add command -label "Draw Map" \
	-command {execGUI maplite}

  $display.menu add command -label "Loop Configuration"\
	-command {execGUI frmchecklite}

  $display.menu add command -label "Remote Access Configuration"\
	-command {execGUI remotelite}

#	-command {execGUI imgdisp}
#ml  $display.menu add command -label Grid \
#ml        -command { GridSelect }
#        -command {execGUI grddisp}
#  $display.menu add command -label "Real-Time Grid" \
#	-command {execGUI rt_grddisp}
#ml  $display.menu add command -label "Real-Time Surface Data" \
#ml        -command { PointSelect "SURFACE"}
#	-command {execGUI rt_sfcdisp}
#ml  $display.menu add command -label "Real-Time Upper Air Data" \
#ml        -command { PointSelect "UPPERAIR"}
#	-command {execGUI rt_raobdisp}
#ml  $display.menu add command -label "Weather Watch" \
#ml	-command { WeatherWatch }
#  $display.menu add command -label "All Point Data" \
#        -command { PointSelect "ALL"}

# $display.menu add command -label GIF \
#	-command {execGUI showgif} \
#	-state disabled

# menu $display.menu.special
# $display.menu.special add command -label Meteorogram \
#	-command {execGUI mg} \
#	-state disabled
# $display.menu.special add command -label "Skew T" \
#	-command {execGUI skewt} \
#	-state disabled
# $display.menu.special add command -label "Cross Section" \
#	-command {execGUI xsect} \
#	-state disabled
#  $display.menu add cascade -label "Diagrams" \
#	-menu $display.menu.special \
#	-state disabled
}

proc initMBCopy {copy} {
  menubutton $copy -text Copy -menu $copy.menu

  menu $copy.menu -tearoff 0

  $copy.menu add command -label Image \
	-command {execGUI imgcopy}
  $copy.menu add command -label Grids \
	-command {execGUI grdcopy}
}

# proc initMBModify {modify} {
#   menubutton $modify -text Modify -menu $modify.menu \
#	-state disabled
#
#   menu $modify.menu
#   $modify.menu add command -label Grid \
#	-command {execGUI iggmake} \
#	-state disabled
#   $modify.menu add command -label "Grid into Image" \
#	-command {execGUI grdimg} \
#	-state disabled
#   $modify.menu add command -label "Image into Flat" \
#	-command {execGUI flat} \
#	-state disabled
#
#   menu $modify.menu.manipulateImage
#   $modify.menu.manipulateImage add command \
#	-label "Reduce by Averaging Image" \
#	-command {execGUI avgi} \
#	-state disabled
#   $modify.menu.manipulateImage add command \
#	-label "Generate Image Product" \
#	-command {execGUI imgpro} \
#	-state disabled
#   $modify.menu.manipulateImage add command -label "Combine Images" \
#	-command {execGUI mc} \
#	-state disabled
#   $modify.menu.manipulateImage add command -label "Modify Image" \
#	-command {execGUI ma} \
#	-state disabled
#   $modify.menu.manipulateImage add command -label "Subsect Image" \
#	-command {execGUI aa} \
#	-state disabled
#   $modify.menu add cascade -label "Image Data" \
#	-menu $modify.menu.manipulateImage \
#	-state disabled
#
#   menu $modify.menu.imageProj
#   $modify.menu.imageProj add command -label "Remap Image" \
#	-command {execGUI aamap} \
#	-state disabled
#   $modify.menu.imageProj add command -label "Rotate Image" \
#	-command {execGUI rotiro} \
#	-state disabled
#   $modify.menu add cascade -label "Image Projection" \
#	-menu $modify.menu.imageProj \
#	-state disabled
# }

proc initMBList {list} {
  menubutton $list -text List -menu $list.menu

  menu $list.menu -tearoff 0

  $list.menu add command -label "Weather Text" \
	-command {execGUI wxtlist}
  $list.menu add command -label "List Workstation Configuration" \
	-command {execGUI f}
  $list.menu  add command -label "List Frame Information" \
	-command {execGUI lf}
	

}

proc initMBColors {colors} {
  menubutton $colors -text Colors -menu $colors.menu

  menu $colors.menu -tearoff 0
  $colors.menu add command -label "Change Image Colors" \
	-command {execGUI eulite}
  $colors.menu add command -label "Change Graphics Colors" \
	-command {execGUI gulite}
#  $colors.menu add command -label "Change Image Grayscale" \
#	-command {execGUI eblite}

#ml  $colors.menu add command -label "Freehand Drawing" \
#ml	-command {execGUI zlm}
	
}

#proc initMBGraphics {graphics} {
#  menubutton $graphics -text Graphics -menu $graphics.menu

#  menu $graphics.menu -tearoff 0
#  $graphics.menu add command -label "Erase Graphics" \
#	-command {execGUI eg}
#  $graphics.menu add command -label "Draw Map Over Image" \
#  	-command { ConfigMap NONE }
#	-command {execGUI map}
#}

proc initMBConfigure {config} {
  menubutton $config -text Configure -menu $config.menu

  menu $config.menu -tearoff 0
#  $config.menu add command -label "New Frame" \
#	-command {execGUI makfrm}
#  $config.menu add command -label "Loop Bounds" \
#	-command { LMView }
#	-command {execGUI loop}
  $config.menu add command -label "Cursor Definition" \
	-command { CursorAttributes }
#ml  $config.menu add command -label "Graphics Parameters" \
#ml        -command { GraphicsColors }
#        -command { SetColorLevs "ALTER" }
#	-command {execGUI gd}
#ml  $config.menu add command -label "Font Setting" \
#ml	-command {execGUI font}
#ml  $config.menu add command -label "Shortcut Buttons" \
#ml        -command { MCMacroBuilder }

}

proc initMBSidecars {sidecars} {
  menubutton $sidecars -text Sidecars -menu $sidecars.menu

  menu $sidecars.menu -tearoff 0
  $sidecars.menu add command -label "Vis5D" -command {RunCommand VIS5D}
}

proc initMBHelp {help} {

    menubutton $help \
	-text "Help" \
	-menu $help.menu
    pack $help
	
    menu $help.menu \
	-tearoff no

    $help.menu add command \
	-label "Help Contents" \
	-command "execGUI helplite HELPINTRO"

     $help.menu add command \
	-label "About" \
	-command "execGUI aboutlite"

#ml  menu $help.menu -tearoff 0
#ml  $help.menu add command -label "About the GUI" \
#ml	-command "execGUI aboutgui"
#ml  $help.menu add separator
#ml $help.menu add command -label "Getting Started" \
#ml	-command "execGUI start"
}



proc initMenubar {menubar} {
  frame $menubar -relief raised -borderwidth 1

  initMBDisplay $menubar.display
  initMBCopy $menubar.copy
  initMBList $menubar.list
  initMBColors $menubar.colors
  initMBFile $menubar.file
  initMBConfigure $menubar.configure
  initMBSidecars $menubar.sidecars
  initMBHelp $menubar.help


#ml cut the following lines from block below
#  $menubar.copy	{left} \
#  $menubar.list	{left} \
#  $menubar.sidecars	{right}
#$menubar.configure	{left}

  pack append $menubar \
	$menubar.file		{left} \
	$menubar.display	{left} \
	$menubar.colors		{left} \
	$menubar.help		{left}

#ml  pack $menubar.zoomFrame \
#ml	-side left \
#ml   	-padx 50

}
