# Copyright(c) 1998, Space Science and Engineering Center, UW-Madison
# Refer to "McIDAS Software Acquisition and Distribution Policies"
# in the file  mcidas/data/license.txt

# $Id: validate_colors.tcl,v 1.3 1998/10/13 20:26:54 dglo Exp $

#	validate_colors - check to be sure specified colors are valid X colors
#			  if valid, set background and foreground color of window
#
#		backcolor - background color for window
#		forecolor - foreground color for window

proc validate_colors {backcolor forecolor} {




#check the colors to see if valid
set backvalid [catch {winfo rgb . $backcolor }]
set forevalid [catch {winfo rgb . $forecolor }]

#if the colors are OK, set them
if {$backvalid == 0} {
	option add *background $backcolor
}
if {$forevalid == 0} {
	option add *foreground $forecolor
}

}
